python23 doesn't work in leopard (was: Problem installing redland-bindings +python)

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

python23 doesn't work in leopard (was: Problem installing redland-bindings +python)

Yves Serrano
Hi
I can't get python23 to work in leopard. After I couldn't get it to  
work with the default python23 Portfile, I tried to compile it manually.
When I used "./configure --disable-tk --disable-toolbox-glue --disable-
framework" and add the line "#define HAVE_BROKEN_POSIX_SEMAPHORES 1"  
to pyconfig.h, I could start python23 without errors, but I doesn't  
work for everything. Here is the same error I get when I try to use  
zope2.8.
Python 2.3.6 (#12, Dec  6 2007, 23:19:03)
[GCC 4.0.1 (Apple Inc. build 5465)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
 >>> import asyncore
Traceback (most recent call last):
   File "<stdin>", line 1, in ?
   File "/tmp/py23/lib/python2.3/asyncore.py", line 56, in ?
     from errno import EALREADY, EINPROGRESS, EWOULDBLOCK, ECONNRESET, \
ImportError: cannot import name ESHUTDOWN
I also tried the options under http://blogs.nuxeo.com/sections/blogs/florent_guillaume/2005_05_21_compiling_python_2_3_5 
  (tips for tiger)
Does anybody have an idea how this can be solved?
Could it be, that this has some thing to do with posix change (see http://www.nosignal.net/index.php/2007/10/27/leopard-has-landed/ 
  )?
For some projects, I can't switch to python24 or python25 at the  
moment and need to use python23 :-( .
regards
Yves

> Hello,
>
> No more thoughts about that? Let me know if you need more informations
> to fix that part, I'd love to help if I can.
>
> Regards,
> David
>
>
> Le 26 nov. 07 à 18:24, David Larlet a écrit :
>
> > Hi all,
> >
> > I got some trouble with the python redland--binding on leopard, here
> > is the difference with the ruby installation:
> >
> > $ sudo port install redland-bindings +ruby
> > --->  Fetching redland-bindings
> > --->  Verifying checksum(s) for redland-bindings
> > --->  Extracting redland-bindings
> > --->  Configuring redland-bindings
> > --->  Building redland-bindings with target all
> > --->  Staging redland-bindings into destroot
> > --->  Installing redland-bindings 1.0.6.1_0+ruby
> > --->  Activating redland-bindings 1.0.6.1_0+ruby
> > --->  Cleaning redland-bindings
> >
> >
> > $ sudo port install redland-bindings +python
> > --->  Building python23 with target all
> > Error: Target org.macports.build returned: shell command " cd "/opt/
> > local/var/macports/build/
> > _opt_local_var_macports_sources_rsync
> > .macports.org_release_ports_lang_python23/work/Python-2.3.6" && make
> > all " returned error 2
> > Command output: gcc -L/opt/local/lib -u __dummy -u _PyMac_Error -
> > framework System -framework CoreServices -framework Foundation -o
> > python.exe \
> > Modules/python.o \
> > -L. -lpython2.3 -ldl -framework CoreServices -framework  
> Foundation
> > Undefined symbols:
> >  "__dummy", referenced from:
> > ld: symbol(s) not found
> > collect2: ld returned 1 exit status
> > make: *** [python.exe] Error 1
> >
> > Error: The following dependencies failed to build: python23
> > Error: Status 1 encountered during processing.
> >
> >
> > The issue seemed to be a python23 dependency so I decide to install
> > this one but I got another problem at this point:
> >
> >
> > $ sudo port install python23
> > --->  Building python23 with target all
> > Error: Target org.macports.build returned: shell command " cd "/opt/
> > local/var/macports/build/
> > _opt_local_var_macports_sources_rsync
> > .macports.org_release_ports_lang_python23/work/Python-2.3.6" && make
> > all " returned error 2
> > Command output: gcc -L/opt/local/lib -u __dummy -u _PyMac_Error -
> > framework System -framework CoreServices -framework Foundation -o
> > python.exe \
> > Modules/python.o \
> > -L. -lpython2.3 -ldl -framework CoreServices -framework  
> Foundation
> > Undefined symbols:
> >  "__dummy", referenced from:
> > ld: symbol(s) not found
> > collect2: ld returned 1 exit status
> > make: *** [python.exe] Error 1
> >
> > Error: Status 1 encountered during processing.
> >
> >
> > which were already reported here: http://lists.macosforge.org/pipermail/macports-users/2007-November/006972.html
> >
> > Now what can I do? I think it should more interesting to depends on
> > python24 but at least to allow me to install python23, or maybe I'm
> > doing something wrong?
> >
> > Regards,
> > David
> >
_______________________________________________
macports-users mailing list
[hidden email]
http://lists.macosforge.org/mailman/listinfo/macports-users